# This file contains default values, and does not need to be edited. All
# important settings can be changed from the admin interface.

defaults: &defaults
  site_title: Mastodon
  site_short_description: ''
  site_description: ''
  site_extended_description: ''
  site_terms: ''
  site_contact_username: ''
  site_contact_email: ''
  registrations_mode: 'none'
  profile_directory: true
  closed_registrations_message: ''
  timeline_preview: true
  show_staff_badge: true
  preview_sensitive_media: false
  noindex: false
  theme: 'system'
  trends: true
  trends_as_landing_page: true
  trendable_by_default: false
  reserved_usernames:
    - abuse
    - account
    - accounts
    - admin
    - administration
    - administrator
    - admins
    - help
    - helpdesk
    - instance
    - mod
    - moderator
    - moderators
    - mods
    - owner
    - root
    - security
    - server
    - staff
    - support
    - webmaster
  disallowed_hashtags: # space separated string or list of hashtags without the hash
  bootstrap_timeline_accounts: ''
  activity_api_enabled: true
  peers_api_enabled: true
  show_domain_blocks: 'disabled'
  show_domain_blocks_rationale: 'disabled'
  require_invite_text: false
  backups_retention_period: 7
  captcha_enabled: false
  allow_referer_origin: false

development:
  <<: *defaults

test:
  <<: *defaults

production:
  <<: *defaults
